regina::NCensusHit Class Reference
Census of Triangulations

Stores a single "hit" indicating that some given triangulation has been located in one of Regina's in-built census databases. More...

`#include <census/ncensus.h>`

Inheritance diagram for regina::NCensusHit:

## Public Member Functions

const std::string & | name () const
| Returns the human-readable name associated with the triangulation in the database. More...
const NCensusDB * | db () const
| Returns details of the census database in which the triangulation was found. More...
const NCensusHit * | next () const
| Returns the next hit for the same triangulation, or 0 if there are no more hits. More...

## Friends

class | NCensusDB
class | NCensusHits

## Detailed Description

Stores a single "hit" indicating that some given triangulation has been located in one of Regina's in-built census databases.

Note that a given triangulation might have several hits across Regina's databases. Therefore hits are typically returned using the separate NCensusHits class, which essentially represents a list of individual NCensusHit objects.

## Member Function Documentation

const NCensusDB * regina::NCensusHit::db | ( |  | ) | const

inline

Returns details of the census database in which the triangulation was found.

Returns
  the database for this hit.

const std::string & regina::NCensusHit::name | ( |  | ) | const

inline

Returns the human-readable name associated with the triangulation in the database.

This typically contains the name of the triangulation and/or the name of the underlying manifold.

Returns
  the human-readable name for this hit.

const NCensusHit * regina::NCensusHit::next | ( |  | ) | const

inline

Returns the next hit for the same triangulation, or 0 if there are no more hits.

Recall that hits are typically returned using the NCensusHits class, which stores a list of individual NCensusHit objects. To iterate through this list, you should begin by calling NCensusHits::first() to retrieve the first hit, and then for each hit call NCensusHit::next() (this function) to retrieve the next hit.

Returns
  the next hit after this in the list, or 0 if this is the last hit.

The documentation for this class was generated from the following file:

- census/ncensus.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).